commit 87fd84e59dcd9f0b2270e19015e7fa632de151e0
Author: Sebastian Pop <spop@amazon.com>
Date:   Tue Nov 17 18:56:15 2020 +0000

    add --with-{cpu,arch,tune}-{32,64} as alias flags for --with-{cpu,arch,tune}
    
    gcc/
            * config.gcc: add configure flags --with-{cpu,arch,tune}-{32,64}
            as alias flags for --with-{cpu,arch,tune} on AArch64.
            * doc/install.texi: Document new flags for aarch64.
    
    (cherry picked from commit 61ef34c503443dadc0744c5150256b90d138db0a)

diff --git a/gcc/config.gcc b/gcc/config.gcc
index 4c4c09b6445..dcd1c503cee 100644
--- a/gcc/config.gcc
+++ b/gcc/config.gcc
@@ -3703,7 +3703,25 @@ fi
 supported_defaults=
 case "${target}" in
 	aarch64*-*-*)
-		supported_defaults="abi cpu arch tune"
+		supported_defaults="abi cpu cpu_32 cpu_64 arch arch_32 arch_64 tune tune_32 tune_64"
+		if test x$with_cpu_64 != x && test x$with_cpu = x; then
+			with_cpu=$with_cpu_64
+		fi
+		if test x$with_cpu_32 != x && test x$with_cpu = x; then
+			with_cpu=$with_cpu_32
+		fi
+		if test x$with_arch_64 != x && test x$with_arch = x; then
+			with_arch=$with_arch_64
+		fi
+		if test x$with_arch_32 != x && test x$with_arch = x; then
+			with_arch=$with_arch_32
+		fi
+		if test x$with_tune_64 != x && test x$with_tune = x; then
+			with_tune=$with_tune_64
+		fi
+		if test x$with_tune_32 != x && test x$with_tune = x; then
+			with_tune=$with_tune_32
+		fi
 		for which in cpu arch tune; do
 			eval "val=\$with_$which"
 			base_val=`echo $val | sed -e 's/\+.*//'`
